<template>
    <div class="col-lg-3" v-if="authUser">
        <div class="profile-details position-relative">
            <div class="profile-thumb">
                <img :src="authUser.profile_image" :alt="authUser.full_name" class="img-fluid">
            </div>
            <h2>{{ authUser.full_name }} <router-link class="d-inline" :to="{ name : 'edit.profile' }"><span class="mdi mdi-name mdi-pencil">
                <svg width="12" height="15" viewBox="0 0 25 25" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd" clip-rule="evenodd" d="M12.4999 23.75C12.4999 23.0596 13.0595 22.5 13.7499 22.5H23.7498C24.4402 22.5 24.9998 23.0596 24.9998 23.75C24.9998 24.4404 24.4402 25 23.7498 25H13.7499C13.0595 25 12.4999 24.4404 12.4999 23.75Z" fill="#660F1F"/>
                    <path fill-rule="evenodd" clip-rule="evenodd" d="M23.4668 7.62492C25.479 5.60476 25.3935 2.9519 23.891 1.32728C23.1583 0.535121 22.1155 0.0291212 20.9344 0.0012212C19.7489 -0.0267788 18.5207 0.426584 17.3873 1.37481C17.3583 1.39906 17.3305 1.42461 17.3038 1.45138L1.09307 17.727C0.393034 18.4298 0 19.3814 0 20.3734V22.4902C0 23.8671 1.11495 25 2.50476 25H4.60327C5.60041 25 6.55649 24.6029 7.26017 23.8964L23.4668 7.62492ZM19.0087 4.74118C18.5206 4.25303 17.7291 4.25303 17.241 4.74118C16.7528 5.22935 16.7528 6.0208 17.241 6.50896L18.491 7.75896C18.9791 8.24711 19.7706 8.24711 20.2587 7.75896C20.7468 7.2708 20.7468 6.47935 20.2587 5.99118L19.0087 4.74118Z" fill="#660F1F"/>
                </svg>
            </span></router-link></h2>
            <a href="javascript:void(0)" class="email">{{ authUser.email }}</a>
            <router-link class="be_seller base" :to="{ name : 'migrate.seller' }"  v-if="settings.seller_system == 1">
                {{ lang.be_a_seller }} 
            </router-link>
        </div>
        <div class="sidebar-menu">
            <ul class="global-list">
                <li :class="{active: current === 'dashboard'}">
                    <router-link :to="{ name : 'dashboard' }"><span
                        class="mdi mdi-name mdi-view-dashboard-outline">
                        <svg width="16" height="16" viewBox="0 0 38 40" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path fill-rule="evenodd" clip-rule="evenodd" d="M12.8024 16.4012H5.99602C4.99731 16.393 4.0362 16.7818 3.32417 17.4822C2.61211 18.1825 2.20745 19.137 2.19922 20.1356V34.2692C2.2177 36.3481 3.91723 38.0187 5.99602 38.0012H12.8024C13.8011 38.0096 14.7623 37.6208 15.4743 36.9205C16.1864 36.2202 16.5911 35.2657 16.5992 34.2668V20.1356C16.5911 19.137 16.1864 18.1825 15.4743 17.4822C14.7623 16.7818 13.8011 16.393 12.8024 16.4012Z" stroke="#660F1F" stroke-width="3" stroke-linecap="round" stroke-linejoin="round"/>
                            <path fill-rule="evenodd" clip-rule="evenodd" d="M12.8024 2.00145H5.99602C3.95904 1.94495 2.26063 3.54782 2.19922 5.58465V8.01825C2.26063 10.0551 3.95904 11.658 5.99602 11.6014H12.8024C14.8393 11.658 16.5378 10.0551 16.5992 8.01825V5.58465C16.5378 3.54782 14.8393 1.94495 12.8024 2.00145Z" stroke="#660F1F" stroke-width="3" stroke-linecap="round" stroke-linejoin="round"/>
                            <path fill-rule="evenodd" clip-rule="evenodd" d="M25.196 23.6017H32C32.9991 23.6106 33.9608 23.222 34.6734 22.5217C35.3859 21.8211 35.7911 20.8664 35.7992 19.8673V5.73599C35.7911 4.73731 35.3864 3.78278 34.6743 3.08243C33.9623 2.38209 33.0011 1.99329 32.0024 2.00159H25.196C24.1974 1.99329 23.2362 2.38209 22.5241 3.08243C21.812 3.78278 21.4074 4.73731 21.3992 5.73599V19.8673C21.4074 20.8659 21.812 21.8204 22.5241 22.5207C23.2362 23.221 24.1974 23.6099 25.196 23.6017Z" stroke="#660F1F" stroke-width="3" stroke-linecap="round" stroke-linejoin="round"/>
                            <path fill-rule="evenodd" clip-rule="evenodd" d="M25.196 38.0015H32C34.0379 38.0593 35.7378 36.4561 35.7992 34.4183V31.9847C35.7378 29.9478 34.0393 28.3451 32.0024 28.4015H25.196C23.1591 28.3451 21.4607 29.9478 21.3992 31.9847V34.4159C21.4592 36.4537 23.1582 38.0579 25.196 38.0015Z" stroke="#660F1F" stroke-width="3" stroke-linecap="round" stroke-linejoin="round"/>
                        </svg>
    
                    </span> {{ lang.dashboard }}
                    </router-link>
                </li>
                <li :class="{active: current === 'addresses'}">
                    <router-link :to="{ name : 'addresses' }"><span class="mdi mdi-name mdi-map-marker-outline">
                        <svg width="16" height="16" viewBox="0 0 44 54" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M2 22.3582C2 11.1147 10.9543 2 22 2C33.0458 2 42 11.1147 42 22.3582C42 33.5138 35.6167 46.531 25.6572 51.186C23.3357 52.2713 20.6643 52.2713 18.3428 51.186C8.3833 46.531 2 33.5138 2 22.3582Z" stroke="#660F1F" stroke-width="3"/>
                            <path d="M22 29.5C26.1421 29.5 29.5 26.1421 29.5 22C29.5 17.8579 26.1421 14.5 22 14.5C17.8579 14.5 14.5 17.8579 14.5 22C14.5 26.1421 17.8579 29.5 22 29.5Z" stroke="#660F1F" stroke-width="3"/>
                        </svg>
                        </span>
                        {{ lang.addresses }}
                    </router-link>
                </li>
                <li :class="{active: current === 'notification'}">
                    <router-link :to="{ name : 'notification' }"><span class="mdi mdi-name mdi-bell-outline">
                        <svg width="16" height="16" viewBox="0 0 34 39" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M32.445 30.3915C33.4317 30.077 33.9765 29.022 33.662 28.0355C33.3475 27.049 32.2925 26.504 31.306 26.8185L32.445 30.3915ZM17.1997 29.2108C16.1647 29.2388 15.3482 30.1005 15.3762 31.1357C15.4042 32.1707 16.266 32.9873 17.3012 32.9593L17.1997 29.2108ZM30.1905 29.4077C30.645 30.3382 31.7675 30.7242 32.6982 30.27C33.6287 29.8155 34.0147 28.693 33.5605 27.7623L30.1905 29.4077ZM30.2765 25.31L28.5567 26.057C28.5677 26.0825 28.5795 26.1077 28.5915 26.1328L30.2765 25.31ZM27.856 16.39L29.7175 16.1642C29.7142 16.137 29.7102 16.11 29.7057 16.083L27.856 16.39ZM17.2675 4.2275C16.232 4.2275 15.3925 5.06698 15.3925 6.1025C15.3925 7.13802 16.232 7.9775 17.2675 7.9775V4.2275ZM17.2675 7.9775C18.303 7.9775 19.1425 7.13802 19.1425 6.1025C19.1425 5.06698 18.303 4.2275 17.2675 4.2275V7.9775ZM6.64493 16.3925L4.79536 16.0847C4.79083 16.112 4.78691 16.1393 4.78361 16.1665L6.64493 16.3925ZM4.22451 25.31L5.90941 26.1328C5.92156 26.1077 5.93318 26.0825 5.94423 26.057L4.22451 25.31ZM0.94061 27.7623C0.48626 28.693 0.87231 29.8155 1.80286 30.27C2.73341 30.7242 3.85606 30.3382 4.31041 29.4077L0.94061 27.7623ZM15.3925 6.1025C15.3925 7.13802 16.232 7.9775 17.2675 7.9775C18.303 7.9775 19.1425 7.13802 19.1425 6.1025H15.3925ZM19.1425 1.875C19.1425 0.839475 18.303 0 17.2675 0C16.232 0 15.3925 0.839475 15.3925 1.875H19.1425ZM15.3925 6.1025C15.3925 7.13802 16.232 7.9775 17.2675 7.9775C18.303 7.9775 19.1425 7.13802 19.1425 6.1025H15.3925ZM19.1425 1.875C19.1425 0.839475 18.303 0 17.2675 0C16.232 0 15.3925 0.839475 15.3925 1.875H19.1425ZM3.19501 26.8185C2.20841 26.504 1.15361 27.049 0.839085 28.0355C0.52456 29.022 1.06938 30.077 2.05598 30.3915L3.19501 26.8185ZM17.1997 32.9593C18.235 32.9873 19.0967 32.1707 19.1247 31.1357C19.1527 30.1005 18.3362 29.2388 17.3012 29.2108L17.1997 32.9593ZM14.2505 30.6825C14.2505 29.647 13.411 28.8075 12.3755 28.8075C11.34 28.8075 10.5005 29.647 10.5005 30.6825H14.2505ZM24.0127 30.6825C24.0127 29.647 23.1732 28.8075 22.1377 28.8075C21.1022 28.8075 20.2627 29.647 20.2627 30.6825H24.0127ZM31.306 26.8185C26.7327 28.2765 21.9862 29.0813 17.1997 29.2108L17.3012 32.9593C22.4407 32.8205 27.5365 31.9563 32.445 30.3915L31.306 26.8185ZM33.5605 27.7623L31.9615 24.4872L28.5915 26.1328L30.1905 29.4077L33.5605 27.7623ZM31.9962 24.563C30.8372 21.895 30.0692 19.0648 29.7175 16.1642L25.9947 16.6158C26.39 19.8743 27.253 23.0557 28.5567 26.057L31.9962 24.563ZM29.7057 16.083C29.1745 12.8828 28.043 9.91253 25.9875 7.72243C23.882 5.47928 20.9677 4.2275 17.2675 4.2275V7.9775C20.0487 7.9775 21.9327 8.88198 23.2532 10.2888C24.6235 11.7487 25.5457 13.9222 26.0065 16.697L29.7057 16.083ZM17.2675 4.2275C13.567 4.2275 10.6464 5.47865 8.53351 7.71973C6.46936 9.90915 5.32856 12.88 4.79536 16.0847L8.49451 16.7003C8.95583 13.9275 9.88446 11.7534 11.2621 10.2922C12.591 8.8826 14.4845 7.9775 17.2675 7.9775V4.2275ZM4.78361 16.1665C4.43159 19.0663 3.66346 21.8958 2.50476 24.563L5.94423 26.057C7.24768 23.0568 8.11081 19.876 8.50629 16.6185L4.78361 16.1665ZM2.53961 24.4872L0.94061 27.7623L4.31041 29.4077L5.90941 26.1328L2.53961 24.4872ZM19.1425 6.1025V1.875H15.3925V6.1025H19.1425ZM19.1425 6.1025V1.875H15.3925V6.1025H19.1425ZM2.05598 30.3915C6.96444 31.9563 12.0603 32.8205 17.1997 32.9593L17.3012 29.2108C12.5149 29.0813 7.76831 28.2765 3.19501 26.8185L2.05598 30.3915ZM10.5005 30.6825V31.9325H14.2505V30.6825H10.5005ZM10.5005 31.9325C10.5005 35.688 13.4807 38.8137 17.2565 38.8137V35.0637C15.6407 35.0637 14.2505 33.7068 14.2505 31.9325H10.5005ZM17.2565 38.8137C21.0322 38.8137 24.0127 35.688 24.0127 31.9325H20.2627C20.2627 33.7068 18.8722 35.0637 17.2565 35.0637V38.8137ZM24.0127 31.9325V30.6825H20.2627V31.9325H24.0127Z" fill="#660F1F"/>
                        </svg>
                    </span>
                        {{ lang.notification }}
                    </router-link>
                </li>
                <li :class="{active: current === 'order_history'}">
                    <router-link :to="{ name : 'order.history' }"><span class="mdi mdi-name mdi-cart-outline">
                        <svg width="16" height="16" viewBox="0 0 48 49" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M9.74942 7H46.5L41.5 24.5H12.4418M44 34.5H14L9 2H1.5M16.5 44.5C16.5 45.8807 15.3807 47 14 47C12.6193 47 11.5 45.8807 11.5 44.5C11.5 43.1193 12.6193 42 14 42C15.3807 42 16.5 43.1193 16.5 44.5ZM44 44.5C44 45.8807 42.8807 47 41.5 47C40.1193 47 39 45.8807 39 44.5C39 43.1193 40.1193 42 41.5 42C42.8807 42 44 43.1193 44 44.5Z" stroke="#660F1F" stroke-width="3" stroke-linecap="round" stroke-linejoin="round"/>
                        </svg>
                        </span>
                        {{ lang.order_history }}
                    </router-link>
                </li>
                <li v-if="download_url" :class="{active: current === 'digital_product_order_history'}">
                    <router-link :to="{ name : 'orders.digital.product' }"><span
                        class="mdi mdi-name mdi-cart-arrow-down"></span> {{ lang.digital_product_order }}
                    </router-link>
                </li>
                <li v-if="settings.coupon_system == 1" :class="{active: current === 'gift_voucher'}">
                    <router-link :to="{ name : 'gift.voucher' }"><span class="mdi mdi-name mdi-wallet-giftcard"></span>
                        {{ lang.gift_voucher }}
                    </router-link>
                </li>
                <li :class="{active: current === 'change_password'}">
                    <router-link :to="{ name : 'change.password' }"><span class="mdi mdi-name mdi-lock-outline">
                    
                        <svg width="16" height="16" viewBox="0 0 54 54" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M12 22V17C12 16.1482 12.071 15.313 12.2074 14.5M42 22V17C42 8.71572 35.2843 2 27 2C22.52 2 18.4985 3.96407 15.75 7.07815M24.5 52H17C9.92893 52 6.3934 52 4.1967 49.8032C2 47.6065 2 44.071 2 37C2 29.929 2 26.3935 4.1967 24.1968C6.3934 22 9.92893 22 17 22H37C44.071 22 47.6065 22 49.8032 24.1968C52 26.3935 52 29.929 52 37C52 44.071 52 47.6065 49.8032 49.8032C47.6065 52 44.071 52 37 52H34.5M19.5 37C19.5 38.3807 18.3807 39.5 17 39.5C15.6193 39.5 14.5 38.3807 14.5 37C14.5 35.6193 15.6193 34.5 17 34.5C18.3807 34.5 19.5 35.6193 19.5 37ZM29.5 37C29.5 38.3807 28.3807 39.5 27 39.5C25.6193 39.5 24.5 38.3807 24.5 37C24.5 35.6193 25.6193 34.5 27 34.5C28.3807 34.5 29.5 35.6193 29.5 37ZM39.5 37C39.5 38.3807 38.3807 39.5 37 39.5C35.6193 39.5 34.5 38.3807 34.5 37C34.5 35.6193 35.6193 34.5 37 34.5C38.3807 34.5 39.5 35.6193 39.5 37Z" stroke="#660F1F" stroke-width="3" stroke-linecap="round"/>
                        </svg>
                        </span>
                        {{ lang.change_password }}
                    </router-link>
                </li>
                <li v-if="settings.wallet_system == 1" :class="{active: current === 'wallet_history'}">
                    <router-link :to="{ name : 'wallet.history' }"><span class="mdi mdi-wallet-outline">
                        <svg width="16" height="16" viewBox="0 0 48 44" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M39 12V10C39 7.19975 39 5.7996 38.455 4.73005C37.9757 3.78923 37.2108 3.02432 36.27 2.54497C35.2005 2 33.8003 2 31 2H9.5C6.69972 2 5.2996 2 4.23005 2.54497C3.28923 3.02432 2.52432 3.78923 2.04497 4.73005C1.5 5.7996 1.5 7.19975 1.5 10V12M1.5 12V34C1.5 36.8002 1.5 38.2005 2.04497 39.27C2.52432 40.2108 3.28923 40.9757 4.23005 41.455C5.2996 42 6.69972 42 9.5 42H38.5C41.3002 42 42.7005 42 43.77 41.455C44.7108 40.9757 45.4757 40.2108 45.955 39.27C46.5 38.2005 46.5 36.8002 46.5 34V20C46.5 17.1997 46.5 15.7996 45.955 14.7301C45.4757 13.7892 44.7108 13.0243 43.77 12.545C42.7005 12 41.3002 12 38.5 12H1.5ZM46.5 22H41.5C38.7385 22 36.5 24.2385 36.5 27C36.5 29.7615 38.7385 32 41.5 32H46.5" stroke="#660F1F" stroke-width="3" stroke-linecap="round" stroke-linejoin="round"/>
                        </svg></span>
                        {{ lang.my_wallet }}
                    </router-link>
                </li>
                <li v-if="addons.includes('reward')" :class="{active: current === 'reward_history'}">
                    <router-link :to="{ name : 'reward.history' }"><span
                        class="mdi mdi-vector-point"></span>{{ lang.my_rewards }}
                    </router-link>
                </li>
              <li v-if="addons.includes('affiliate') && authUser.referral_code" class="dp-arrow" :class="{active: current === 'affiliate_system', displayMenu: show_menu === 'displayMenu'}" @click="showMenu">
                <a href="javascript:void(0)"><span
                    class="mdi mdi-vector-point"></span>Affiliate
                </a>
                <ul class="dashboard-dp-menu">
                  <li><router-link :to="{name:'affiliate.system'}">Affiliate System</router-link></li>
                  <li><router-link to="/sdfsfd">iewww1</router-link></li>
<!--                  <li><router-link>iewww1</router-link></li>-->
                </ul>
              </li>
                <li v-if="settings.seller_system == 1" :class="{active: current === 'followed_shop'}">
                    <router-link :to="{ name : 'shop.followed' }"><span
                        class="mdi mdi-home-heart"></span>{{ lang.shop }}
                    </router-link>
                </li>
            </ul>
        </div>


        <div class="modal fade reward" id="convert_reward" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-md modal-dialog-centered modal-dialog-scrollable">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">{{ lang.reward_point }}</h5>
                        <button type="button" class="close modal_close" data-bs-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body reward_modal">
                        <form @submit.prevent="convertReward">
                            <div class="row">
                                <div class="col-lg-12 text-center">
                                    <div class="form-group">
                                        <label for="reward">{{ lang.reward_point }} </label>
                                        <input type="text" id="reward" v-model="converted_reward" class="form-control"
                                               :placeholder="lang.enter_point_you_want_convert">
                                    </div>
                                    <div class="text-start" v-if="totalReward != null">
                                        <p>Available Points to Convert : {{ totalReward.rewards }}</p>
                                        <p>{{ settings.reward_convert_rate }}{{ lang.reward_points }}{{
                                                priceFormat(1)
                                            }}</p>

                                        <p v-if="totalReward.rewards > 0">{{ lang.total_amount_you_will_get }}
                                            {{ priceFormat(converted_reward / settings.reward_convert_rate) }}</p>
                                    </div>
                                    <loading_button v-if="loading" :class_name="'btn btn-primary mt-3'"></loading_button>
                                    <button type="submit" v-else class="btn btn-primary mt-3"
                                            :class="{ 'disable_btn' : converted_reward < settings.reward_convert_rate || totalReward.rewards < converted_reward }">
                                        {{ lang.covert_rewards }}
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div><!-- /.modal-body -->
                </div>
            </div>
        </div>
    </div>

</template>

<script>
import shimmer from "./shimmer";

export default {
    name: "user_sidebar",
    props: [
        'current',
        'addresses'
    ],
    data() {
        return {
            loading : false,
            download_url : false,
            show_menu : '',
        }
    },
    mounted() {
        this.checkAuth();
    },
    computed: {
        totalReward() {
            return this.$store.getters.getTotalReward;
        },
        modalType() {
            return this.$store.getters.getModalType;
        }
    },
    components: {
        shimmer,
    },
    methods: {
        checkAuth() {
            let url = this.getUrl('home/check-auth')
            axios.get(url).then((response) => {
                this.$store.dispatch('user', response.data.user);
                this.$store.commit('getOrderUrl', response.data.order_urls);
                if (!this.authUser) {
                    this.$router.push({name: 'login'});
                } else if (this.authUser.user_type == 'admin') {
                    this.$router.push({name: 'home'});
                }
                if (response.data.reward) {
                    this.$store.commit('setTotalReward', response.data.reward);
                }
                if (response.data.download_urls)
                {
                    this.download_url = true;
                }

            });
        },
        convertReward() {
            let url = this.getUrl('user/convert-reward');

            let form = {
                amount: this.converted_reward / this.settings.reward_convert_rate,
                reward: this.converted_reward,
            };

            if (form.amount > 0 && this.totalReward.rewards >= this.converted_reward && confirm('Are You Sure! You want to Convert ?')) {
                this.loading = true;
                axios.post(url, form).then((response) => {
                    this.loading = false;
                    if (response.data.error) {
                        toastr.error(response.data.error, this.lang.Error +' !!' );
                    } else {
                        toastr.success(response.data.success, this.lang.Success + '!!');
                        $('#convert_reward').modal('hide');
                        this.converted_reward = '';
                        this.$store.dispatch('user', response.data.user);
                        this.$store.commit('setTotalReward', response.data.reward);
                    }
                }).catch((error) => {
                    this.loading = false;
                });
            }
        },
      showMenu(){
          if(this.show_menu == 'displayMenu'){
            this.show_menu = ''
          }else{
            this.show_menu = 'displayMenu'
          }
      }

    }

}
</script>
<style scoped>
.email {
    font-size: 16px;
    font-weight: 400;
    color: #660f1f;
}
.mdi-pencil::before,
.mdi-view-dashboard-outline::before,
.mdi-map-marker-outline::before,
.mdi-bell-outline::before,
.mdi-cart-outline::before,
.mdi-lock-outline::before,
.mdi-wallet-outline::before {
    content: none;
}
</style>
